/*!
 * @file object_manager.h
 * @brief Definition of the ... singleton Class
*/

#ifndef _OBJECT_MANAGER_H
#define _OBJECT_MANAGER_H

#include "base_object.h"
#include <list>

// FORWARD DECLARATION


class ObjectGroupList
{



};


//! A default singleton class.
class ObjectManager : public BaseObject {

 public:
  virtual ~ObjectManager(void);
  /** @returns a Pointer to the only object of this Class */
  inline static ObjectManager* getInstance(void) { if (!ObjectManager::singletonRef) ObjectManager::singletonRef = new ObjectManager();  return ObjectManager::singletonRef; };


  ObjectGroupList* getGroupList( );

 private:
  ObjectManager(void);
  static ObjectManager* singletonRef;

  std::list<ObjectGroupList>           groupList;


};

#endif /* _OBJECT_MANAGER_H */
